module mod_stat
implicit none
contains

function R2(obs,pred)
    use mod_matlab, only: mean
    implicit none
    real(8) :: R2
    real(8), dimension(1:), intent(in) :: obs, pred
    !local
    real(8) :: obs_mean

    !Check dims
    if (size(obs)/=size(pred)) then
        write(*,*) 'R2: dims don''t agree.  Obs', size(obs), ' Pred',size(pred)
        STOP 'R2: stopping.'
    end if

    obs_mean = mean(obs)
    r2 = 1 - sum((obs-pred)**2)/sum((obs-obs_mean)**2)

end function R2

end module mod_stat
