module mod_transmatiter

implicit none

contains
    
    function transmatiter(trans,toler_in) result(dsn_return)

    implicit none

    !Input\Output
    real(8), dimension(:,:), intent(in)    :: trans !Transition matrix
    real(8), dimension(1:size(trans,1))        :: dsn_return   !Distribution
    real(8), optional, intent(in) :: toler_in

    !Variable Declaration
    real(8) :: norm, toler
    real(8), dimension(1:size(trans,1)) :: dsn_old,dsn_new

    if (size(trans,1)/=size(trans,2)) stop "Transition matrix isn't square."

    norm=1.d0
    dsn_old=0.d0
    dsn_old(1) = 1.d0

    toler = 1d-14
    if (present(toler_in)) toler = toler_in

    do while (norm>toler)
        dsn_new = matmul(dsn_old,trans)
        norm = maxval(abs(dsn_new-dsn_old))
        dsn_old=dsn_new
    enddo

    dsn_return = dsn_old

    end function transmatiter
    
end module 
