! Calls test for grey lib 
program test_greylib
    use mod_interp
    use mod_matlab_test
    use mod_quad_test
    use mod_root1dim_test
    use mod_smolyak
    use mod_sort, only: mod_sort__test_sort => test_sort
    use mod_spline_test
    use mod_min1dim_test
    use mod_minNdim_test
    use mod_mynlopt_test
    use mod_rootNdim_test
    use mod_project_test
    use mod_mympi_test
    use mod_mympi
    use mod_valueopt_test
!     use mod_par_random
    implicit none

    call mympi_init()
    


    print*,'Testing mpi routines'
    call test_mympi
if (mympi_iproc()==0) then
    call test_mynlopt
    STOP 'checking mynlopt'
    call test_vardim()
    print*,'Testing valueopt routines'
    call test_valueopt
    STOP 'checking value opt'
    print*,'Testing other routines'
    call test_par_random_number()
    print*,'Testing matlab routines'
    call test_colon
    call test_cumsum
    call test_eye
    call test_find
    call test_interp1
    call test_interp1q
    call test_interp1qs
    call test_linspace
    call test_mtimes
    call test_null
    call test_repmat
    call test_sort
    call test_sort2
    call test_sortrows
    call test_unique
    print*, 'Testing quadrature routines'
    call test_intPiecewiseLinear
    call test_sub_simpsonquad
    print*, 'Testing (mod_)sort routines'
    call mod_sort__test_sort
    print*,'Testing interp routines'
    call test_s2interp
    call test_search
    call test_smolyak
    call test_cheb
    print*, 'Testing root1dim routines'
    call test_root1dim
    call test_findallroots
    print*, 'Testing min1dim routines'
    call test_newton1dim
    call test_simplex1dim
    call test_brent_min
end if
!     print*, 'Testing rootNdim routines'
!     call test_powell
!     call test_broyden
    print*, 'Testing minNdim routines'
!     call test_simplex
!     call test_parallelsimplex
!     call test_simanneal
!     call test_parallelsimanneal
!     call test_gridsearch
!     call test_newtonNdim
!     call test_gradDescent
!     call test_stochGradDescent
!     call test_BFGS
!     call test_numGradHess
!     call test_compass
!     call test_parmin
!     call test_parrandom
    call test_noisyLM
    call test_parnoisyLM

    call mympi_finalize()
end program
