module mod_convertAtoK
    implicit none

    private
    public :: convertAtoK

    real(8) :: Apriv,Npriv,zpriv

contains

function convertAtoK(A,N,z) result(K)
    use mod_root1dim
    implicit none
    real(8), intent(in) :: A,N,z
    real(8) :: K
    !local
    real(8) :: lb,ub,tol,xtol

    Apriv = A
    Npriv = N
    zpriv = z
    
    K = A !Guess

    lb = 1d-20
    ub = 1000.d0
    tol = 1d-12
    xtol = 1d-14
    call sub_bisect(K,K_res,lb,ub,toler_in=tol, xtoler_in=xtol,printmod_in=-1)

    if (abs(K_res(K))>1d-6) then
        print*, 'convertAtoK: WARNING: residual is larger than 1d-6'
    end if

end function convertAtoK

function K_res(K_guess)
    use mod_param, only: delta 
    use mod_price_fcns  
    implicit none
    real(8), intent(in) :: K_guess
    real(8) :: K_res
    K_res = (1.d0 + zKN_to_r(zpriv,K_guess,Npriv) - delta )*K_guess - Apriv
end function K_res


end module mod_convertAtoK

