% Computes the natural borrowing limit
function [avgDiscNatSS,avgDiscNatBC] = computeNatLimit(S,doBC)

%     global trans_e_SS

    
    countAsDeath = -1d100; % -1d100 was first paper
    
    gA = S.gA_SS;
    gE = S.gE_SS;
    nA = S.nA;
    nAmm = S.nAmm;
    nE = S.nE;
    invar_dsn_e_SS = S.invar_dsn_e_SS;
    Tend = S.Tend;
    trans_e_SS = S.trans_e_SS;
    
    % Figure out the natural borrowing limit for each household in the no default world
    natDiscDebtLimSS = NaN(nE,1);
    natDiscDebtLimBC = NaN(nE,1);
    for age=1:Tend-1
        CVSS(:,:,age) = S.v_SS(:,:,age+1,1)*trans_e_SS(:,:,age)';
    end
%     plot(gA,CVSS(:,:,40))
%     error('here')
    
    for age=1:Tend-1
        for eind = 1:nE
            i = find(CVSS(:,eind,age)>countAsDeath,1,'first');
            natDiscDebtLimSS(eind,age) = S.q_SS(i,eind,age).*gA(i);
        end
    end    
%     plot(natDebtLimSS)
%     error('here')
    
    natDiscDebtLimSS(:,Tend) = 0;
    % Create a "price schedule" that shows this where the schedule is risk
    % free until the borrowing limit is reached and then 0 beyond that
    
    if (doBC)
        for age=1:Tend-1
            CVBC(:,:,age) = S.Ev(:,:,age+1,1)*trans_e_SS(:,:,age)';
        end
        for age=1:Tend-1
            for eind = 1:nE
                i = find(CVBC(:,eind,age)>countAsDeath,1,'first');
                natDiscDebtLimBC(eind,age) = (S.Eqg(i,eind,age)+S.Eqb(i,eind,age)).*gA(i);
            end
        end
        natDiscDebtLimBC(:,Tend) = 0;            
    end

    % Plot the endogenous debt limits versus natural limits by age
    % averaged across households
    % % % Figure out the endogenous borrowing limit for each household in the default world
    avgDiscNatSS = NaN(Tend,1);
    for age = 1:Tend
        avgDiscNatSS(age,1) = natDiscDebtLimSS(:,age)'*invar_dsn_e_SS(:,age)/sum(invar_dsn_e_SS(:,age));
    end

    if (doBC)
        avgDiscNatBC = NaN(Tend,1);
        for age = 1:Tend
            avgDiscNatBC(age,1) = natDiscDebtLimBC(:,age)'*invar_dsn_e_SS(:,age)/sum(invar_dsn_e_SS(:,age));
        end
    end
    
end