function [] = figure1()
    
    % Define some colors 
    colors = getcolors;
    blue = colors.blue;
    red = colors.red;
    green = colors.green;     
    purple = colors.purple;
    
    % Load / analyze
    D = load([getmatdir(),'results_defexpend']);
    Tend = D.Tend;
    trans_e_SS = D.trans_e_SS;
    [avgDiscEndogSS avgDiscEndogBC] = computeEndogLimit(D,1);
    clear D

    D_BAPCPA = load([getmatdir(),'results_defBAPCPAexpend']);
    [avgDiscEndogSS_BAPCPA avgDiscEndogBC_BAPCPA] = computeEndogLimit(D_BAPCPA,1);        
    clear D_BAPCPA

    ND = load([getmatdir(),'results_nodefexpend']);
    [avgDiscNatSS_ND avgDiscNatBC_ND] = computeNatLimit(ND,1);        
    clear ND
    
    D_Bonly = load([getmatdir(),'results_defCDRexpend']);
    [~,avgDiscNatBC_D_Bonly] = computeNatLimit(D_Bonly,1);        
    clear D_Bonly

    D_Gonly = load([getmatdir(),'results_defCDEexpend']); 
    [~,avgDiscNatBC_D_Gonly] = computeNatLimit(D_Gonly,1);        
    clear D_Gonly

    % Plot
    gAge = 20-1+(1:Tend)';

    clf reset
    cla reset

    set(gcf,'DefaultAxesColorOrder',[blue;blue;red;red;green;green;purple;purple])
    plot(gAge,-avgDiscEndogBC,'-',...
         gAge,-avgDiscEndogSS,'-o',...
         gAge,-avgDiscNatBC_ND,'--',...
         gAge,-avgDiscNatSS_ND,'--o',...             
         gAge,-avgDiscEndogBC_BAPCPA,':',...
         gAge,-avgDiscEndogSS_BAPCPA,':o',...
         ...gAge,-avgDiscNatBC_D_Bonly,'x',...
         ...gAge,-avgDiscNatBC_D_Gonly,'+',...
         'LineWidth',2)
    legend('FS BC','FS SS','NFS BC','NFS SS','BAPCPA BC','BAPCPA SS','location','NorthWest')
%     legend('FS BC','FS SS','NFS BC','NFS SS','BAPCPA BC','BAPCPA SS','FSR','FSE','location','NorthWest')
    xlabel('Age')
    ylabel('Debt Limit')
    title('Borrowing Limits By Age')
    axis tight
    myprint('BorrowLimitByAge_BAPCPA_BC')

    clf reset
    cla reset
    
    
    
end