function [] = figure2()

close all 

load([getmatdir(),'results_transition'],'transition_statlist');

data = xlsread('../data/Master_for_Import');
year = data(:,1);
inds = find(year>=2000);
year = year(inds);
popDef = data(inds,2); 
popDef13 = data(inds,3); 
rGDP = data(inds,8); % Measured in billions
rDebt = data(inds,11)/1000; % Measured in millions, convert to billions
DebtGDP = rDebt./rGDP;


s = transition_statlist;
t = (2000:2000+50-1)';

iDefAllH = 2;
iDefHeq0 = 38;
iDebtY = 37; % debt measured as -a+x
iUtil = 57; % welfare of newborn households

% plot(t,s(:,iUtil))
% 
% return

fprintf(1,'Model''s predicted Filing rate in 2014 %f \n',100*s(find(t==2014),iDefHeq0));
fprintf(1,'Model''s predicted Filing rate in 2040 %f \n',100*s(find(t==2040),iDefHeq0));

s = s(t<=2012,:);
t = t(t<=2012);

o = {'LineWidth',2};
f = {'FontSize',12};

getfirst = @(x) x(1);

f1 = @(x,y) plot(t,y{1},'r-',year,y{2},'r-o',o{:});
f2 = @(x,y) plot(t,y{1},'b--',year,y{2},'b--o',o{:});
ax = plotyy(t,{100*s(:,iDefHeq0),100*popDef},t,{100*s(:,iDebtY),100*DebtGDP},f1,f2);
% f1 = @(x,y) plot(t,100*y{1},'r-',year,100*y{2},'r-o',o{:});
% f2 = @(x,y) plot(t,100*(y{1}/getfirst(y{1})-1),'b--',year,100*(y{2}/getfirst(y{2})-1),'b--o',o{:});
% ax = plotyy(t,{s(:,iDefHeq0),popDef},t,{s(:,iDebtY),DebtGDP},f1,f2);
h = legend('Filing rates, model','Filing rates, data','Debt-output ratio, model','Debt-output ratio, data','location','southeast');
set(h,f{:});


set(ax(1),'YTick',linspace(.2,1.6,5))
set(get(ax(1),'Ylabel'),'String','Filing rates (%)',f{:}) 
set(ax(2),'YTick',linspace(0,7,5))
set(get(ax(2),'Ylabel'),'String','Debt-output ratio \times  100',f{:}) 

title('Transition path induced by BAPCPA',f{:})
xlabel('Year',f{:})

myprint('transpath')




% dm = s(:,iDefHeq0)/s(1,iDefHeq0)*100;
% dd = popDef/popDef(1)*100;
% bm = s(:,iDebtY)/s(1,iDebtY)*100;
% bd = DebtGDP/DebtGDP(1)*100;
% 
% plot(t,dm,t,dd,t,bm,t,bd)

return

hold off
f1 = @(x,y) plot(x,y,'r-');
f2 = @(x,y) plot(x,y,'b--');
plotyy(t,s(:,iDefHeq0),t,s(:,iDebtY),f1,f2) 

hold on
f1 = @(x,y) plot(x,y,'r-o');
f2 = @(x,y) plot(x,y,'b--o');
plotyy(year,popDef,year,DebtGDP,f1,f2) 

axis
hold off

STOP PLOT THE DATA AND MODEL ON THE SAME GRAPH! 










end