function [] = importFortranResults()

addpath('./matlib')

% Expenditure shocks
loadsave('default_expend','results_defexpend.mat');
loadsave('nodefault_expend','results_nodefexpend.mat');
loadsave('nodefaultPE_expend','results_nodefPEexpend.mat');
loadsave('BAPCPA_expend','results_defBAPCPAexpend.mat');
loadsave('BAPCPAPE_expend','results_defBAPCPAPEexpend.mat');
loadsave('zcontingent/CDR_expend','results_defCDRexpend.mat');
loadsave('zcontingent/CDE_expend','results_defCDEexpend.mat');
loadsave('zcontingentPE/CDR_expend','results_defCDRPEexpend.mat');
loadsave('zcontingentPE/CDE_expend','results_defCDEPEexpend.mat');

% % Expenditure shocks w/ large debt calibration
loadsave('default_expend_largedebt','results_defexpendlargedebt.mat');
loadsave('nodefault_expend_largedebt','results_nodefexpendlargedebt.mat');

% No expenditure shocks
loadsave('default','results_def.mat');
loadsave('nodefault','results_nodef.mat');
loadsave('nodefaultPE','results_nodefPE.mat');
loadsave('BAPCPA','results_defBAPCPA.mat');
loadsave('BAPCPAPE','results_defBAPCPAPE.mat');
loadsave('zcontingent/CDR','results_defCDR.mat');
loadsave('zcontingent/CDE','results_defCDE.mat');
loadsave('zcontingentPE/CDR','results_defCDRPE.mat');
loadsave('zcontingentPE/CDE','results_defCDEPE.mat');

% Robustness to flexible portfolios
loadsave('robustflex/CD','results_defFlex.mat');
loadsave('robustflex/ND','results_nodefFlex.mat');

% Chi robustness
loadsave('robustchi/00','results_chi00.mat');
loadsave('robustchi/25','results_chi25.mat');
loadsave('robustchi/50','results_chi50.mat');
loadsave('robustchi/75','results_chi75.mat');
loadsave('robustchi/90','results_chi90.mat');
loadsave('robustchi/99','results_chi99.mat');

% Other
loadsave('robusttau/CD_008','results_robusttau_CD_008.mat');
loadsave('robusttau/CD_058','results_robusttau_CD_058.mat');
loadsave('robusttau/CD_127','results_robusttau_CD_127.mat');
loadsave('robusttau/CD_233','results_robusttau_CD_233.mat');
loadsave('robusttau/ND_008','results_robusttau_ND_008.mat');
loadsave('robusttau/ND_058','results_robusttau_ND_058.mat');
loadsave('robusttau/ND_127','results_robusttau_ND_127.mat');
loadsave('robusttau/ND_233','results_robusttau_ND_233.mat');
loadsave('robustkappa/CD_0050','results_robustkappa_CD_0050.mat');
loadsave('robustkappa/CD_3020','results_robustkappa_CD_3020.mat');
loadsave('robustkappa/CD_5000','results_robustkappa_CD_5000.mat');
loadsave('robustkappa/ND_0050','results_robustkappa_ND_0050.mat');
loadsave('robustkappa/ND_3020','results_robustkappa_ND_3020.mat');
loadsave('robustkappa/ND_5000','results_robustkappa_ND_5000.mat');
loadsave('robustprof/CD_live','results_robustprof_CD_live.mat');
loadsave('robustprof/CD_cons','results_robustprof_CD_cons.mat');
loadsave('robustprof/CD_earn','results_robustprof_CD_earn.mat');
loadsave('robustprof/CD_STY','results_robustprof_CD_STY.mat');
loadsave('robustprof/ND_live','results_robustprof_ND_live.mat');
loadsave('robustprof/ND_cons','results_robustprof_ND_cons.mat');
loadsave('robustprof/ND_earn','results_robustprof_ND_earn.mat');
loadsave('robustprof/ND_STY','results_robustprof_ND_STY.mat');
loadsave('robustcycles/CD_CEV','results_robustcycles_CD_CEV.mat');
loadsave('robustcycles/CD_CEVLSS','results_robustcycles_CD_CEVLSS.mat');
loadsave('robustcycles/CD_CEVLSSTFP','results_robustcycles_CD_CEVLSSTFP.mat');
loadsave('robustcycles/ND_CEV','results_robustcycles_ND_CEV.mat');
loadsave('robustcycles/ND_CEVLSS','results_robustcycles_ND_CEVLSS.mat');
loadsave('robustcycles/ND_CEVLSSTFP','results_robustcycles_ND_CEVLSSTFP.mat');
loadsave('transition','results_transition.mat');

end

function loadsave(loadfile,savefile)

rootdatadir = getrootdatadir();
savedir = getmatdir();

s = import_from_fortran([rootdatadir,loadfile]);
save([savedir,savefile],'-struct','s');

end
