% []=import_from_fortran(filedir)	
%
% Copyright (C) 2010 Grey Gordon
% 
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 2 of the License, or
% (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

% Author: Grey Gordon
% Created: 2010-07-20
% Modified: 2012-03-07
%
function []=import_from_fortran(filedir)	

% try

    % Check for absolute path. If not an absolute path, convert to it.
    if ~strcmp(filedir(1),'/')
%         error('you must use the absolute path')
        if (strcmp(filedir(1:2),'./'))
            newfiledir = [pwd,'/',filedir(3:end)];
        elseif (strcmp(filedir(1:3),'../'))
            tmp3 = pwd;
            cd ..
            tmp4 = pwd;
            cd(tmp3)
            newfiledir = [tmp4,'/',filedir(4:end)];
            clear tmp3 tmp4
        elseif (strcmp(filedir(1:2),'~/'))
            tmp3 = pwd;
            cd ~
            tmp4 = pwd;
            cd(tmp3)
            newfiledir = [tmp4,'/',filedir(3:end)];
            clear tmp3 tmp4
        end
    else
        newfiledir = filedir;
    end    
    filedir = newfiledir;
    filedir
    
    
    
	tosave = cell(0);

    filelist = dir(filedir);    
    for ind=1:size(filelist,1)
%         filelist(ind).name
        tmp{ind,1} = filelist(ind).name;
    end
    filelist = tmp;
    clear tmp
    
	fprintf(1,'Processing %i files \n',size(filelist,1))
	for i = 1:size(filelist,1)
		file = filelist{i};
		fprintf(1,['Processing file %s ... is txt? '],file)
		%Does file end in .txt?
		if (numel(file)>4)
			istxt = file(end-3:end)=='.txt';
			fprintf(1,'Y')
		else
			istxt = 0;
			fprintf(1,'N')
		end
		fprintf(1,[' ... is header? '])
		%If .txt, is this file a header, _h.txt ?
		if (numel(file)>6)
			ishead = strcmp(file(end-5:end),'_h.txt');
			if (ishead)
				basefile = [file(1:end-6),'.txt'];
				%Search for corresponding file
				ismatched = 0;
				for j = 1:size(filelist,1)
					ismatched = ismatched+...
						strcmp(basefile,filelist{j});
				end
				if ismatched==0
					ishead=0;
				end
			end
		else
			ishead = 0;
		end
		if (ishead)
			fprintf(1,'Y')
		else
			fprintf(1,'N')
        end
        %If .txt is a header (_h.txt), is it a sparse file?
		fprintf(1,[' ... is header for sparse? '])
        if (numel(file)>16)  %Length of .sparseVAL_h.txt
            issparse = strcmp(file(end-15:end),'.sparseVAL_h.txt') | ...
                       strcmp(file(end-15:end),'.sparseCOL_h.txt') | ...
                       strcmp(file(end-15:end),'.sparseROW_h.txt') | ...
                       strcmp(file(end-15:end),'.sparseNNZ_h.txt') | ...
                       strcmp(file(end-15:end),'.sparseNNC_h.txt') | ...
                       strcmp(file(end-15:end),'.sparseNNR_h.txt');
            if (issparse)
                basefile = [file(1:end-16),'.txt'];
                % Search for corresponding file
                
            end
        else 
            issparse = 0;
        end
		if (issparse)
			fprintf(1,'Y')
		else
			fprintf(1,'N')
        end
        
        %If is header, then process both files
		if (ishead)
            % If isn't sparse
            if (~issparse)
                stem = file(1:end-6);
                if ~strcmp(filedir(end),'/')
                    filedir = [filedir,'/'];
                end
                mainfile = [filedir,stem,'.txt'];
                headfile = [filedir,stem,'_h.txt'];
                load('-ascii',headfile);
                hloc = load('-ascii',headfile);
                
%                 % Import new way
%                 cmd = [stem, '= myimportfile(''',mainfile,''',prod(hloc));'];
% %                 cmd
%                 eval(cmd)               
%                 % Import old way                
% %                 load('-ascii',mainfile);

                if (3==exist('myimportfile')) 
                    % Import new way using the mex file
                    cmd = [stem, '= myimportfile(''',mainfile,''',prod(hloc));'];
                    eval(cmd)               
                else
                    % Import old way                
                    
%                     load('-ascii',mainfile);                  
                    tmpfid = fopen(mainfile);
                    cmd = [stem, '= fscanf(tmpfid,''%e'',prod(hloc));'];
                    eval(cmd)
                    fclose(tmpfid);
                    
                end                
                
                stem = regexprep(stem,'%','_');

                %Reshape main according to header if not a vector
                if ~(isscalar(hloc))
                    cmd = [stem,'=reshape(',stem,',',stem,'_h'');'];
                    eval(cmd);
                end
                tosave{end+1}=stem;
            else
            % If is sparse, then process if is the .sparseVAL_h.txt file
                if (strcmp(file(end-15:end),'.sparseVAL_h.txt'))
                    stem = file(1:end-16);
                    if ~strcmp(filedir(end),'/')
                        filedir = [filedir,'/'];
                    end
                    tmpVAL = load('-ascii',[filedir,stem,'.sparseVAL.txt']);
                    tmpROW = load('-ascii',[filedir,stem,'.sparseROW.txt']);
                    tmpCOL = load('-ascii',[filedir,stem,'.sparseCOL.txt']);
                    tmpNNZ = load('-ascii',[filedir,stem,'.sparseNNZ.txt']);
                    tmpNNR = load('-ascii',[filedir,stem,'.sparseNNR.txt']);
                    tmpNNC = load('-ascii',[filedir,stem,'.sparseNNC.txt']);
                    cmd = [stem,' = sparse(tmpROW,tmpCOL,tmpVAL,tmpNNR,tmpNNC,tmpNNZ);'];
                    eval(cmd);
                    clear tmpVAL tmpROW tmpCOL tmpNNR tmpNNC tmpNNZ
                    tosave{end+1}=stem;
                end
            end
        end
		fprintf(1,'\n') 
	end
	save('results_octave.mat',tosave{:})
	fprintf(1,'Successfully imported %i files. \n',numel(tosave))
	fprintf(1,'Files written to results_octave.mat\n')
% catch 
% 	fprintf(1,'Import failed...\n')
% end 

end
