% [coeff] = chebCoeff(fvals,z,n)
% 
% Computes the coefficients of the polynomial approximation
function [coeff] = chebCoeff(fvals,z,n)
    
    % Evaluate T at the roots z 
    % The jth column of T has the jth-1 order cheby evaluated at z
    T = chebEval(z,n); 

    % Compute the coefficients
    coeff = 2/(n+1)*(T'*fvals);
    coeff(1) = coeff(1)/2;

end