% [x z] = chebZeros(n,a,b)
% 
% Produces the n zeros of the Chebyshev polynomial of degree n.
function [x z] = chebZeros(n,a,b)
    
    if (n<=0) 
        error('n must be greater than 1')
    end

    z = -cos((2*(1:n)'-1)/(2*n)*pi);
    x = (z+1)*(b-a)/2 + a;

end