% [sample]=drawMarkov(F,z0,n)    
% Draw n samples from the markov chain F starting at z0 index.
function [sample]=drawMarkov(F,z0,n)    

    % Check inputs
    if any(abs(sum(F,2)-1.d0)>1d-10)
        sum(F,2)
        error('trans mat row doesn''t sum to 1') 
    end

    cdf = cumsum(F,2);
    cdfT = cdf';

    rand01 = rand(n,1);

    sample = NaN(n,1);
    sample(1) = z0;
    for i = 2:n
        sample(i) = find(rand01(i)<=cdfT(:,sample(i-1)),1,'first');
    end
        
end