% [samples]=drawPdf(pdf,n)
% Draw n samples from the discrete pdf specified.
% Returns samples which specifies indices in 1:length(pdf) that each 
% represent a sample.
function [samples]=drawPdf(pdf,n)    

    % Check inputs
    if ~isvector(pdf)
        error('pdf is not a vector')
    end    
    if abs(sum(pdf)-1.d0)>1d-10
        sum(pdf)
        error('pdf doesn''t sum to 1') 
    end
        
    l = length(pdf);
    
    cdf = cumsum(pdf);
    if abs(sum(cdf(l))-1.d0)>1d-10
        error('cdf end is not close to 1')
    end
    cdf(end) = 1;
    
    samples = NaN(n,1);
    tmp = rand(n,1);
    for i = 1:n
        samples(i) = find(tmp(i)<=cdf,1,'first');
    end
    
end