% [edges,dsn] = myhist(X,n)
% Constructs a nice histogram of X using n points (n-1 bins).
% To plot, use plot(edges,dsn).  Operates along columns of X.
function [edges,dsn] = myhist(X,n)

    minx = min(X(:));
    maxx = max(X(:));
    edges = linspace(minx,maxx,n)';
    edges = [minx-1d-20;edges;maxx+1d-20]; %Ensures looks like a hist
    cnt = histc(X,edges);
    
    dsn = cnt./repmat(sum(cnt,1),[size(cnt,1) 1]);
    
end