classdef mom_classdef
    %MOM_CLASSDEF Summary of this class goes here
    %   Detailed explanation goes here
    %
    % Note: to create an array of object is very easy.  Just use, e.g.,
    % array(4) = mom_classdef   This creates an array of dimension 1 with
    % four elements.
    properties
        %(z,A1,A2,A3,N) define a moment
        z_ind = -1
        z = -1.d0
        A1 = -1.d0
        A2 = -1.d0
        A3 = -1.d0
        N = -1.d0
        %for a moment (as above) on the grid, there is a unique m associated with it.
        m_ind = -1
        A1_ind = -1
        A2_ind = -1
        A3_ind = -1
        N_ind = -1
        %additional info included with a moment
        A = -1.d0 %sum of A1,A2,A3
        K = -1.d0 %this is the K implied by (A1,A2,A3) and z_ind.
        w = -1.d0 %wage implied by moment (which give K and z)
    end
    
    %Methods must be static when an instance of the class is not an
    %argument of the function as is the case here.
    methods (Static) 
        
        % generate_grid_m takes moments grids and generates a moments grid
        % which is the combination of every element in the grid
        function [grid_m map_to_m] = generate_grid_m(p)
            
            grid_m(p.len_m,1) = mom_classdef;
                        
            m_ind = 1;
            for z_ind = 1:p.len_z
                for A1_ind = 1:p.len_A1
                    for A2_ind = 1:p.len_A2
                        for A3_ind = 1:p.len_A3
                            for N_ind = 1:p.len_N
                                map_to_m(z_ind,N_ind,A3_ind,A2_ind,A1_ind) = m_ind;
                                grid_m(m_ind).z_ind = z_ind;
                                grid_m(m_ind).N_ind = N_ind;
                                grid_m(m_ind).A1_ind = A1_ind;
                                grid_m(m_ind).A2_ind = A2_ind;
                                grid_m(m_ind).A3_ind = A3_ind;
                                m_ind = m_ind+1;
                            end
                        end
                    end
                end
            end
            for m_ind = 1:p.len_m
                grid_m(m_ind).m_ind = m_ind;
                grid_m(m_ind).z = p.grid_z(grid_m(m_ind).z_ind);
                grid_m(m_ind).A1 = p.grid_A1(grid_m(m_ind).A1_ind);
                grid_m(m_ind).A2 = p.grid_A2(grid_m(m_ind).A2_ind);
                grid_m(m_ind).A3 = p.grid_A3(grid_m(m_ind).A3_ind);
                grid_m(m_ind).N = p.grid_N(grid_m(m_ind).N_ind);
            end
        end   
    end
    
    methods
        %for some reason this doesn't work
        function out = fillout_grid(in,p)
            out = in;            
            for m_ind = 1:length(in) 
                out(m_ind)=fillout(in(m_ind),p);
                error('fillout_grid: this function doesn''t work.  Iterate instead.')
            end
        end
        
        %fillout computes A, K, and w from the basic information z,A1,etc.
        function out = fillout(in,p)
            out = in;
            out.A = in.A1 + in.A2 + in.A3;
            
            %price functions
            alpha_k = p.alpha_k;
            delta = p.delta;
            r = @(K) in.z*alpha_k.*K.^(alpha_k-1).*in.N.^(1.d0-alpha_k);            
            w = @(K) in.z*(1.d0-alpha_k).*K.^(alpha_k).*in.N.^(-alpha_k);
            
            %calculate K from nonlinear equation A - (1+r-delta)*K = 0
            res = @(K) out.A - (1+r(K)-delta)*K;
            out.K = fzero(res,[1d-5,100]);
            
            out.w = w(out.K);
        end
    end
    
end

