
MEXINCL=/usr/local/matlab/extern/include
MEXLIBS=/usr/local/matlab/bin/glnxa64
FFLAGS=" -O2"

#Don't need to specify LD_LIBRARY_PATH if have appropriately used -rpath linker option
#export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/local/matlab/bin/glnxa64:/usr/local/matlab/sys/os/glnxa64

cpp -P mod_matdata2.F90 -I$MEXINCL > mod_matdata_pp.f90 

ifort -c -I$MEXINCL -fexceptions $FFLAGS  "mod_types.f90"
ifort -c -I$MEXINCL -fexceptions $FFLAGS  "mod_matdata_pp.f90"
ifort -c -I$MEXINCL -fexceptions $FFLAGS  "testmex.f90"

# NOTE ON USE OF -rpath-link
# Instead of linking with all the necessary matlab shared libraries directly, 
# this uses a linker option "-rpath-link DIR" to specify that the linker should
# "try to locate the required shared library and include it in the link, if it
# is not included explicitly."  The directory DIR it specifies is searched.
# By including libeng.so (-leng), all necessary libraries are linked (w/o libeng
# the linking fails with undefined references!

# NOTE ON USE OF -rpath
# The linker option -rpath specifies a directory for the runtime path of shared
# libraries.  By using this option, there's no need to set LD_LIBRARY_PATH (that
# variable is searched after the -rpath directory).

# NOTE ON USE OF -Wl
# Use of "-Wl,option1,[option2,...] tells the compiler to pass options onto the linker 

ifort    -I$MEXINCL -fexceptions $FFLAGS  mod_types.o mod_matdata_pp.o testmex.o -o "testmex" \
         -Wl,-rpath-link,$MEXLIBS -L$MEXLIBS -leng -lmx -lm -Wl,-rpath,$MEXLIBS


#mex -v -f ./engopts.sh -largeArrayDims -output testmex  mod_types.f90 mod_matdata_pp.f90 testmex.f90 

./testmex

