% [b r2 stats]=myregress(X,Y)
function [b r2 stats]=myregress(X,Y)

    if (~isvector(Y))
        error('Y must be a vector, note the calling sequence is myregress(X,Y)');
    end

    XpX = X'*X;
    b = XpX\(X'*Y);
    r2 = R2(Y,X*b);
    
    % Check the condition number    
    condXpX = cond(XpX);
    if (condXpX>1d10)
        warning('possible multicollinearity in regressors')
        fprintf(1,'regress: X''X has condition number %g \n', condXpX);
    end
    stats.cond = condXpX;
end
