function testvardimspline()

    f = @(x) sqrt(abs(x+1));
    g = @(x) -1d0./(max(x,1d-30));
    
    test(f,0)
    return
%     print -depsc vardimspline1.eps
    test(f,1)
%     print -depsc vardimspline2.eps
    test(f,2)
%     print -depsc vardimspline3.eps
    test(f,3)
%     print -depsc vardimspline4.eps    
    test(g,5)
%     print -depsc vardimspline5.eps    
    
end

function test(f,opt)
    
    x = linspace(-3d0,2d0,1000)';
    knots = linspace(-3d0,2d0,15)';
    if (opt>=2)
        knots = unique([-1;0;knots]);
    end

    degree = 1;
    for degree = 1:3
        y(:,degree) = vardimspline(x,f,knots,degree);
    end

    plot(x,y(:,1),'b-',...
         x,y(:,2),'r-',...
         x,y(:,3),'g--',...
         x,f(x),'k:',...
         knots,f(knots),'ro','LineWidth',2)
    legend('Linear (p=1)','Quadratic (p=2)','Cubic (p=3)','True','Knots','location','southeast')
    
    if (opt==1 || opt==3)
        axis([-1.6913   -0.3387    0.0030    0.9015])
    end
    if (opt==5)
        axis([-0.8032 1.0760  -1.0317d30    0.0494d30]) 
    end
    
end