% Given a function f and knots, computes the variation diminishing spline approximation of degree "degree" and evaluates it at x.
function [y] = vardimspline(x,f,knots,degree)

    p = degree;
    n = length(knots);
    tau = NaN(2*p+n,1);
    tau(1:p) = knots(1);
    tau(p+1:p+n) = knots;
    tau(p+n+1:2*p+n) = knots(n);

    taustar = NaN(n+p-1,1);
    for j = 1:n+p-1
        taustar(j) = sum(tau(j+1:j+p))/p;
    end 
%     taustar

    fstar = f(taustar);

    %xin,d,k
%     bspline2(x,tau,p+1)
%     fstar
%     y=-1;
%     return
%     sum(fstar'*bspline2(x,tau,p+1))
    
%     fstar

    % Evalutes B_{i,k}(x) given knots t at x
    y = 0;
    for j = 1:n+p-1
        y = y + fstar(j)*bspline(x,j,p+1,tau);
%         y = y + fstar(j)*bspline(x,j,p+1,taustar);
    end
    
    % Evaluate
    y = zeros(length(x),1);
    for ix = 1:length(x)
        [B,ilo,ihi] = bspline2(x(ix),tau,p+1);
%         B(ilo:ihi)
        y(ix) = fstar(ilo:ihi)'*B; %(ilo:ihi);
%         for j = 1:n+p-1
%             B(j)
%         end
%         y(ix) = y(ix) + fstar(j)*B(j);
    end

end
