function [] = table1(varargin)

if (nargin==0)
    % Benchmark 
    maketable('results_defexpend.mat'); 
else
    % Hi debt 
    maketable('results_defexpendlargedebt.mat'); 
end


end 

function [] = maketable(matfile)

load([getmatdir(),matfile]); 
% load(matfile);


iKY = 1;
iintrate = 26; % non-weighted interest rate on debt
%%% Default for any h
% idebtY = 4; % debt (-a) / Y (any h, but implies h=0)
% idisdebtY = 28; % debt discharged (-a+x) / Y (any h)
% ipopdebt = 3; % pop a<0 (any h, but implies h=0)
% ipop01 = 2; % d = 0 (any h)

% idebtY = 64; % debt (-a+x), but only h=0 
% idisdebtY = 63; % debt (-a+x) defaulted on by households with h=0 / Y
% ipopdebt = 62; % pop -a+x>0 any h
% ipop01 = 61; % pop d with h=0
% ifracpop01belowmed = 66; % measure of households with d=1,h=0 and below median / measure with d=1,h=0


% What are the most natural targets? 
% Since the benchmark targets are based on CCNR and hence the SCF, 
% should target debt statistics that are based on net worth (-a+x) measure for all households. 
% The filing rate should only count d=1,h=0 as this is closest to Ch 7 bankruptcy (the data target)
% The discharged debt measured is based on revolving credit, so use -a as debt d=1,h=0
% The debt-income of defaulters is based on "unsecured debt", which is arguably closest to (-a+x).
% Basically, use -a only for the discharged debt-output ratio.
idebtY = 37; %37 and 64 are equivalent % sum(-a+x) / Y  for any h with -a+x>0
% idisdebtY = 63; % total -a+x of households with h=0,d=1 / Y
% idisdebtY = 85; % total -a of households with h=0,d=1 / Y
ipopdebt = 36; %36 and 62 are equivalent % -a+x>0 any h
ipop01 = 61; % pop with d=1,h=0
ifracpop01belowmed = 66; % pop with d=1,h=0,and below median / d=1,h=0


% Submission one targets
% targetDebtY = .67;
% targetDefault = .50;
% targetPopDebt = 6.7;
    
% Submission two targets
targetDebtY = .67;
targetDefault = .93;
targetPopDebt = 6.7;


fprintf(1,'\n');
fprintf(1,'%-40s & Data   & Model  & Parameter       & Value \\\\\n','Statistic');
fprintf(1,'%s\\\\\n','\textbf{Targeted Statistics}');
fprintf(1,'%-40s & %6.2f & %6.2f & %15s & %15.3f \\\\\n','Capital-Output Ratio',3.08,statlist(iKY),'$\beta$',discount);
fprintf(1,'%-40s & %6.2f & %6.2f & %15s & %15.3f \\\\\n','Debt-Output Ratio$\times$100',targetDebtY,abs(statlist(idebtY))*100,'$\chi_0$',chi0);
fprintf(1,'%-40s & %6.2f & %6.2f & %15s & %15.3f \\\\\n','Population Filing (\%)',targetDefault,statlist(ipop01)*100,'$\chi_1$',abs(chi1));
fprintf(1,'%-40s & %6.1f & %6.1f & %15s & %15.3f \\\\\n','Population in Debt (\%)',targetPopDebt,statlist(ipopdebt)*100,'$\pi_{rl}$',1-pi11augment);
fprintf(1,'%-40s & %6.1f & %6.1f & %15s & %15.3f \\\\\n','Earnings Share of Top 20\%',60.2,statlist(20)*100,'$\underline{u}$',eloCCNRaugment);
fprintf(1,'%-40s & %6.2f & %6.2f & %15s & %15.2f \\\\\n','Earnings Mean/Median',1.57,statlist(12),'$\overline{u}$',ehiCCNRaugment);
fprintf(1,'%-40s & %6.2f & %6.2f & %15s & %15.3f \\\\\n','Wealth Mean/Median',4.03,statlist(11),'$\xi$',phiCCNRaugment);
fprintf(1,'\\\\\n');
fprintf(1,'%s\\\\\n','\textbf{Untargeted Statistics}');
fprintf(1,'%-40s & %6.1f & %6.1f \\\\\n','Wealth Share of Top 20\%',81.7,statlist(14)*100);
fprintf(1,'%-40s & %6.1f & %6.1f \\\\\n','Wealth Share of 4th Quintile',12.2,statlist(15)*100);
fprintf(1,'%-40s & %6.1f & %6.1f \\\\\n','Wealth Share of 3rd Quintile',5.0,statlist(16)*100);
fprintf(1,'%-40s & %6.1f & %6.1f \\\\\n','Wealth Share of 2nd Quintile',1.3,statlist(17)*100);
fprintf(1,'%-40s & %6.2f & %6.2f \\\\\n','Wealth Gini',.80,statlist(18));
fprintf(1,'%-40s & %6.1f & %6.1f \\\\\n','Earnings Share of 4th Quintile',22.9,statlist(21)*100);
fprintf(1,'%-40s & %6.1f & %6.1f \\\\\n','Earnings Share of 3rd Quintile',13.0,statlist(22)*100);
fprintf(1,'%-40s & %6.1f & %6.1f \\\\\n','Earnings Share of 2nd Quintile',4.0,statlist(23)*100);
fprintf(1,'%-40s & %6.2f & %6.2f \\\\\n','Earnings Gini',.61,statlist(24));
fprintf(1,'%-40s & %6.1f & %6.1f \\\\\n','Average Interest on Debt (\%)',12.73,statlist(iintrate)*100); % see Master.xlsx. This is the average real interest rate on credit cards from 1995-2004 (using the GDP deflator for the inflation rate) 
% fprintf(1,'%-40s &        & %6.1f \\\\\n','Average Debt-weighted Interest (\%)',statlist(25)*100);
fprintf(1,'%-40s & %6.2f  & %6.2f \\\\\n','Discharged Debt-Output Ratio$\times$100${}^*$',.32,statlist(63)*100);
fprintf(1,'%-40s & %6.2f  & %6.2f \\\\\n','Discharged $-a$-Output Ratio$\times$100${}^*$',.32,statlist(85)*100);
fprintf(1,'%-40s & %6.2f  & %6.2f \\\\\n','Debt-Income of Filers',1.62,statlist(67)/statlist(70)); %
fprintf(1,'%-40s & %6.2f  & %6.2f \\\\\n','Debt-Income of Below Median Filers',1.66,statlist(68)/statlist(71)); %
fprintf(1,'%-40s & %6.2f  & %6.2f \\\\\n','Debt-Income of Above Median Filers',1.58,statlist(69)/statlist(72)); %
fprintf(1,'%-40s & %6.1f  & %6.1f \\\\\n','Percentage of Filers Below Median',68.8,statlist(66)*100); % fraction of h=0,d=1 with below median
fprintf(1,'%-40s &        & %6.2f \\\\\n','Population with $d=1$, any $h$ (\%)',statlist(2)*100);
fprintf(1,'%-40s &        & %6.2f \\\\\n','Right-tail Population Filing',statlist(5)*100); % h=0,d=1 super rich households
fprintf(1,'%-40s &        & %6.2f \\\\\n','Right-tail Debt-Output Ratio$\times$100',statlist(87)*100); % -a+x / Y for super rich

if (abs(sum(statlist(87:88))-statlist(idebtY))>1d-13)
    error('debt/Y do not add properly');
end
% fprintf(1,'%-40s &        & %6.2f \\\\\n','Total Debt-Output Ratio$\times$100',statlist(86)*100); 
% fprintf(1,'%-40s &        & %6.2f \\\\\n','Non super rich Debt-Output Ratio$\times$100',statlist(88)*100); 

end

