function [] = table4figure3()


addpath('./matlib')

myload = @(x) getstrings(process(x,load([getmatdir(),x],'insure*','Tret','n*')));

colors = getcolors();

CD = myload('results_defexpend');             CD.name='FS';         CD.label='FS';     CD.color = colors.blue;
ND = myload('results_nodefexpend');           ND.name='NFS';         ND.label='NFS';  ND.color = colors.red;
BAPCPA = myload('results_defBAPCPAexpend');   BAPCPA.name='BAPCPA'; BAPCPA.label='BAPCPA';  BAPCPA.color = colors.green;
% CDR = myload('results_defCDRexpend');      CDR.name='FSR';       CDR.label='FSR';           CDR.color = colors.purple;
% CDE = myload('results_defCDEexpend');      CDE.name='FSE';       CDE.label='FSE';           CDE.color = colors.purple;

CDflex = myload('results_defFlex');     CDflex.name='FS flex';   CDflex.label='FS flex';    CDflex.color = colors.blue;
NDflex = myload('results_nodefFlex');   NDflex.name='NFS flex';   NDflex.label='NFS flex'; NDflex.color = colors.red;



Tret = CD.Tret;

a = CD;
b = ND;
c = BAPCPA;
% d = CDR; 
% e = CDE;
f = CDflex;
g = NDflex; 



fprintf(1,'\\hline\n');
fprintf(1,'%10s \n','\multicolumn{5}{l}{\textbf{Steady State}} \\');
fprintf(1,'%10s & %s %10.2f & %10.2f \\\\\n',a.name,a.ins_string_ss,100*csnequiv(a.util_SS,a.util_SS,2),100*csnequiv(a.util_BC,a.util_SS,2));
fprintf(1,'%10s & %s %10.2f & %10.2f \\\\\n',b.name,b.ins_string_ss,100*csnequiv(a.util_SS,b.util_SS,2),100*csnequiv(a.util_BC,b.util_SS,2));
fprintf(1,'%10s & %s %10.2f & %10.2f \\\\\n',c.name,c.ins_string_ss,100*csnequiv(a.util_SS,c.util_SS,2),100*csnequiv(a.util_BC,c.util_SS,2));
% fprintf(1,'\\\\\n');
fprintf(1,'%s\n','\textcolor{white}{---------} & \textcolor{white}{---------} & \textcolor{white}{---------} & \textcolor{white}{---------} & \textcolor{white}{---------} & \textcolor{white}{---------} & \textcolor{white}{---------} & \textcolor{white}{---------} \\');
fprintf(1,'%10s \n','\multicolumn{5}{l}{\textbf{Business Cycle}} \\');
fprintf(1,'%10s & %s %10.2f & %10.2f \\\\\n',a.name,a.ins_string_bc,100*csnequiv(a.util_SS,a.util_BC,2),100*csnequiv(a.util_BC,a.util_BC,2));
fprintf(1,'%10s & %s %10.2f & %10.2f \\\\\n',b.name,b.ins_string_bc,100*csnequiv(a.util_SS,b.util_BC,2),100*csnequiv(a.util_BC,b.util_BC,2));
fprintf(1,'%10s & %s %10.2f & %10.2f \\\\\n',c.name,c.ins_string_bc,100*csnequiv(a.util_SS,c.util_BC,2),100*csnequiv(a.util_BC,c.util_BC,2));
% fprintf(1,'%10s & %s %10.2f & %10.2f \\\\\n',d.name,d.ins_string_bc,100*csnequiv(a.util_SS,d.util_BC,2),100*csnequiv(a.util_BC,d.util_BC,2));
% fprintf(1,'%10s & %s %10.2f & %10.2f \\\\\n',e.name,e.ins_string_bc,100*csnequiv(a.util_SS,e.util_BC,2),100*csnequiv(a.util_BC,e.util_BC,2));
fprintf(1,'%10s & %s %10.2f & %10.2f \\\\\n',f.name,f.ins_string_bc,100*csnequiv(a.util_SS,f.util_BC,2),100*csnequiv(a.util_BC,f.util_BC,2));
fprintf(1,'%10s & %s %10.2f & %10.2f \\\\\n',g.name,g.ins_string_bc,100*csnequiv(a.util_SS,g.util_BC,2),100*csnequiv(a.util_BC,g.util_BC,2));
fprintf(1,'\n');


f = {'FontSize',12};
o = {'LineWidth',2};

figure(1)

m = 3;
n = 1;

nT = 21; % plot until real age 40, must be <= Tret

p = @(ylabelval,y,y2,y3,y4,s,legend,doxlabel) myplot(0,2,2:nT,sfs([],'ss1',y,'ss2',y2,'bc1',y3,'bc2',y4),s,f,o,{a.label,b.label},[0,legend,doxlabel,1],{a.color,b.color},ylabelval);
p2 = @(ylabelval,y,y2,s,legend,doxlabel) myplot(1,2,2:nT,sfs([],'bc1',y,'bc2',y2),s,f,o,{a.label,b.label},[0,legend,doxlabel,1],{a.color,b.color},ylabelval);

i = 0;
i = i + 1; subplot(m,n,i); p('\phi^\eta',a.insurepers_age_SS,b.insurepers_age_SS,a.insurepers_age,b.insurepers_age,'Persistent Shock',1,0);
% i = i + 1; subplot(m,n,i); p('\phi^\epsilon',a.insuretran_age_SS,b.insuretran_age_SS,a.insuretran_age,b.insuretran_age,'Transitory Shock',0,0);
i = i + 1; subplot(m,n,i); p('\phi^x',a.insureexpend_age_SS,b.insureexpend_age_SS,a.insureexpend_age,b.insureexpend_age,'Expenditure Shock',0,0);
i = i + 1; subplot(m,n,i); p2('\phi^{log z}',a.insureagg_age,b.insureagg_age,'Aggregate Shock',0,1);

myprint('InsureCoeff_CDND')

b = BAPCPA;

p = @(ylabelval,y,y2,y3,y4,s,legend,doxlabel) myplot(0,2,2:nT,sfs([],'ss1',y,'ss2',y2,'bc1',y3,'bc2',y4),s,f,o,{a.label,b.label},[0,legend,doxlabel,1],{a.color,b.color},ylabelval);
p2 = @(ylabelval,y,y2,s,legend,doxlabel) myplot(1,2,2:nT,sfs([],'bc1',y,'bc2',y2),s,f,o,{a.label,b.label},[0,legend,doxlabel,1],{a.color,b.color},ylabelval);

i = 0;
i = i + 1; subplot(m,n,i); p('\phi^\eta',a.insurepers_age_SS,b.insurepers_age_SS,a.insurepers_age,b.insurepers_age,'Persistent Shock',1,0);
% i = i + 1; subplot(m,n,i); p('\phi^\epsilon',a.insuretran_age_SS,b.insuretran_age_SS,a.insuretran_age,b.insuretran_age,'Transitory Shock',0,0);
i = i + 1; subplot(m,n,i); p('\phi^x',a.insureexpend_age_SS,b.insureexpend_age_SS,a.insureexpend_age,b.insureexpend_age,'Expenditure Shock',0,0);
i = i + 1; subplot(m,n,i); p2('\phi^{log z}',a.insureagg_age,b.insureagg_age,'Aggregate Shock',0,1);

myprint('InsureCoeff_CDBAPCPA')

b = ND;
c = BAPCPA;

p3 = @(ylabelval,y,y2,y3,y4,y5,y6,s,legend,doxlabel) myplot(0,3,2:nT,sfs([],'ss1',y,'ss2',y2,'ss3',y3,'bc1',y4,'bc2',y5,'bc3',y6),s,f,o,{a.label,b.label,c.label},[0,legend,doxlabel,1],{a.color,b.color,c.color},ylabelval);
p4 = @(ylabelval,y,y2,y3,s,legend,doxlabel) myplot(1,3,2:nT,sfs([],'bc1',y,'bc2',y2,'bc3',y3),s,f,o,{a.label,b.label},[0,legend,doxlabel,1],{a.color,b.color,c.color},ylabelval);

i = 0;
i = i + 1; subplot(m,n,i); p3('\phi^\eta',a.insurepers_age_SS,b.insurepers_age_SS,c.insurepers_age_SS,...
                              a.insurepers_age,b.insurepers_age,c.insurepers_age,'Persistent Shock',1,0);
% i = i + 1; subplot(m,n,i); p3('\phi^\epsilon',a.insuretran_age_SS,b.insuretran_age_SS,c.insuretran_age_SS,...
%                               a.insuretran_age,b.insuretran_age,c.insuretran_age,'Transitory Shock',0,0);
i = i + 1; subplot(m,n,i); p3('\phi^x',a.insureexpend_age_SS,b.insureexpend_age_SS,c.insureexpend_age_SS,...
                              a.insureexpend_age,b.insureexpend_age,c.insureexpend_age,'Expenditure Shock',0,0);
i = i + 1; subplot(m,n,i); p4('\phi^{log z}',a.insureagg_age,b.insureagg_age,c.insureagg_age,'Aggregate Shock',0,1);

myprint('InsureCoeff_CDNDBAPCPA')


% return

% Compare aggregate risk 

nT = Tret; % plot over all ages to get the broad pattern of insurance against aggregate risk which are very different for flexible and not flexible portfolios

figure(2) 

a = CD;
b = ND;
c = CDflex;
d = NDflex;

p2 = @(ylabelval,y,y2,s,legend,doxlabel) myplot(1,2,2:nT,sfs([],'bc1',y,'bc2',y2),s,f,o,{a.label,b.label},[0,legend,doxlabel,1],{a.color,b.color},ylabelval);
p5 = @(ylabelval,y,y2,s,legend,doxlabel) myplot(1,2,2:nT,sfs([],'bc1',y,'bc2',y2),s,f,o,{a.label,b.label},[1,legend,doxlabel,1],{c.color,d.color},ylabelval); % labels are a and b on purpose

m = 3;
n = 2;
i = 0;

i = i + 1; subplot(m,n,i); p2('\phi^{log z}',a.insureagg_age,b.insureagg_age,'Restricted',0,0);
i = i + 1; subplot(m,n,i); p5('\phi^{log z}',c.insureagg_age,d.insureagg_age,'Flexible',0,0);
i = i + 1; subplot(m,n,i); p2('\phi^{log z}',a.insureagg_20_age,b.insureagg_20_age,'Restricted, Right-tail Process',0,0);
i = i + 1; subplot(m,n,i); p5('\phi^{log z}',c.insureagg_20_age,d.insureagg_20_age,'Flexible, Right-tail Process',0,0);
i = i + 1; subplot(m,n,i); p2('\phi^{log z}',a.insureagg_80_age,b.insureagg_80_age,'Restricted, Log Process',0,1);
i = i + 1; subplot(m,n,i); p5('\phi^{log z}',c.insureagg_80_age,d.insureagg_80_age,'Flexible, Log Process',1,1);

myprint('InsureCoeff_TFP_Portfolios')


rmpath('./matlib')

end 


function [S] = sfs(S,varargin)

    S = setfield(S,varargin{1},varargin{2});
    if (nargin>3) 
        S = sfs(S,varargin{3:end});
    end
    
end

function [a] = getstrings(a)

prec = '%11.4f'; % for four decimal places
prec = '%11.3f'; % for three decimal places

n_SS = merge(4,3,a.nExpenditure>1);
a.ins_string_ss = sprintf(['%11s &',repmat([prec,' &'],1,n_SS)],'-',a.ins_SS(1:n_SS));
a.ins_string_bc = sprintf([repmat([prec,' &'],1,1+n_SS)],a.ins_BC(1:1+n_SS));

end

function a = process(name,a)
    a.ins_SS = [a.insurepers_SS,a.insuretran_SS,a.insurerich_SS,a.insureexpend_SS];
    a.ins_BC = [a.insureagg,a.insurepers,a.insuretran,a.insurerich,a.insureexpend];
    
    [~,~,~,~,utilityLevels] = welfareCompare(1,name,name);
    a.util_SS = utilityLevels.U_D_SS;
    a.util_BC = utilityLevels.U_D_BC;
    
end

function myplot(BConly,nseries,x,Y,s,f,o,labels,opt,colors,ylabelval)

    % Actual age starts from 20 in the model, so adjust x axis by 19
    adjust = 19;
    
    if (opt(1)==0)
        loc = 'southeast';
        suff = '';
    else
        loc = 'northeast';
        suff = '';
    end
    
    dolegend = opt(2);
    doxlabel = opt(3);
    doylabel = opt(4);

    if (~BConly && nseries==2)
        set(gcf,'DefaultAxesColorOrder',[colors{1};colors{1};colors{2};colors{2}])
        plot(x+adjust,Y.bc1(x),'-',...
             x+adjust,Y.ss1(x),'-o',...
             x+adjust,Y.bc2(x),'--',...
             x+adjust,Y.ss2(x),'--o',...
             o{:})
        if (dolegend)
            h = legend(sprintf('%s BC',labels{1}),sprintf('%s SS',labels{1}),sprintf('%s BC',labels{2}),sprintf('%s SS',labels{2}),'location','southeast');
        end
    elseif (BConly && nseries==2) 
        set(gcf,'DefaultAxesColorOrder',[colors{1};colors{2}])
        plot(x+adjust,Y.bc1(x),'-',...
             x+adjust,Y.bc2(x),'--',o{:})
        if (dolegend)
            h = legend(sprintf('%s BC%s',labels{1},suff),sprintf('%s BC%s',labels{2},suff),'location',loc);        
        end
    elseif (~BConly && nseries==3) 
        set(gcf,'DefaultAxesColorOrder',[colors{1};colors{1};colors{2};colors{2};colors{3};colors{3}])
        plot(x+adjust,Y.bc1(x),'-',...
             x+adjust,Y.ss1(x),'-o',...
             x+adjust,Y.bc2(x),'--',...
             x+adjust,Y.ss2(x),'--o',...
             x+adjust,Y.bc3(x),':',...
             x+adjust,Y.ss3(x),':o',...
             o{:})
        if (dolegend)
            h = legend(sprintf('%s BC',labels{1}),sprintf('%s SS',labels{1}),...
                       sprintf('%s BC',labels{2}),sprintf('%s SS',labels{2}),...
                       sprintf('%s BC',labels{3}),sprintf('%s SS',labels{3}),'location','southeast');
        end
    elseif (BConly && nseries==3) 
        set(gcf,'DefaultAxesColorOrder',[colors{1};colors{2};colors{3}])
        plot(x+adjust,Y.bc1(x),'-',...
             x+adjust,Y.bc2(x),'--',...
             x+adjust,Y.bc3(x),':',...
             o{:})
        if (dolegend)
            h = legend(sprintf('%s BC',labels{1}),sprintf('%s SS',labels{1}),...
                       sprintf('%s BC',labels{2}),sprintf('%s SS',labels{2}),...
                       sprintf('%s BC',labels{3}),sprintf('%s SS',labels{3}),'location','southeast');
        end        
    end
    if (dolegend)
        set(h,f{:});
    end
    title(s,f{:})
    if (doxlabel)
        xlabel('Age',f{:})
    end
    if (doylabel)
        ylabel(ylabelval,f{:});
%         ylabel('Insurance coefficient',f{:})
    end
    axis tight
%     axis([-Inf Inf .2 1])    
         

end 


