function [] = table5()

addpath('./matlib')

rcdir = [getrootdatadir(),'robustchi/'];

% chigrid = [0]%,.25,.5,.75,.9,.99];
% chiname = {'00'};%,'25','50','75','90','99'}; % ,'1md20'}';

chigrid = [0,.25,.5,.75,.9,.99];
chiname = {'00','25','50','75','90','99'}; % ,'1md20'}';

nchi = numel(chiname);

%% Cycle through the chi values, importing then calculating stats
for ichi = 1:nchi
    fid = fopen(['stats_chi_',chiname{ichi},'.txt'],'w');
    matfilename = ['results_chi',chiname{ichi}];
    bankKSbcstats([getmatdir(),matfilename],'networth',fid);
    welfareCompare(fid,'results_defexpend',matfilename);
    fclose(fid);
%     import_from_fortran([rcdir,chiname{ichi}]); 
%     fid = fopen(['stats_chi_',chiname{ichi},'.txt'],'w');
%     bankKSbcstats('results_octave',fid);
%     welfareCompare(fid,'matfiles/results_def','results_octave');
%     delete('results_octave.mat')
%     fclose(fid);

    % Also get insurance coefficients
    a = load([getmatdir(),matfilename],'*insure*');
    insureexpendSS(ichi) = a.insureexpend_SS;
    insureexpendBC(ichi) = a.insureexpend;
    insurepersSS(ichi) = a.insurepers_SS;
    insurepersBC(ichi) = a.insurepers;
    insureagg(ichi) = a.insureagg;
    
%     a.ins_SS = [a.insurepers_SS,a.insuretran_SS,a.insurerich_SS,a.insureexpend_SS];
%     a.ins_BC = [a.insureagg,a.insurepers,a.insuretran,a.insurerich,a.insureexpend];
%     
    
end

%% Import the data from the various text files
filelist = cell(nchi);
for ichi = 1:nchi
    filelist{ichi} = ['stats_chi_',chiname{ichi},'.txt '];
end

statlist = {'Value of eliminating default in SS:',...
            'Value of eliminating default in BC:',...
...            'Total pop preferring elim def in SS:',...
...            'Total pop preferring elim def in BC:',...
            'Capital-Output Ratio in SS : ',...
            'Capital-Output Ratio in BC : ',...
            'Debt-Output Ratio in SS    :',...
            'Debt-Output Ratio in BC    :',...
            'Percentage in Debt in SS   :',...
            'Percentage in Debt in BC   :',...
            'Percentage Filing in SS    :',...
            'Percentage Filing in BC    :'};
nstattxt = numel(statlist);

nstat = nstattxt + 5;

data = NaN(nstat,nchi);
for istat = 1:nstattxt
%     disp(statlist{istat})
    cmd = ['!grep -h "',statlist{istat},'" ',filelist{:},...
           ' | sed -n "/',statlist{istat},'/s/',statlist{istat},'//p" > deleteme.txt'];
    eval(cmd)
    data(istat,:) = importdata('deleteme.txt');
end

data(nstattxt+1,:) = insureexpendSS;
data(nstattxt+2,:) = insureexpendBC;
data(nstattxt+3,:) = insurepersSS;
data(nstattxt+4,:) = insurepersBC;
data(nstattxt+5,:) = insureagg;


% disp(data)

%% Make a latex table
rownames = {'Welfare Gain Relative to FS, SS       ',...
            'Welfare Gain Relative to FS, BC       ',...
...             'Pop in Favor SS       ',...
...             'Pop in Favor BC       ',...
            'Capital-Output Ratio, SS                ',...
            'Capital-Output Ratio, BC                ',...
            'Debt-Output Ratio $\times$ 100, SS',...
            'Debt-Output Ratio $\times$ 100, BC',...
            'Population in Debt (\%), SS        ',...
            'Population in Debt (\%), BC        ',...
            'Population Filing (\%), SS ',...
            'Population Filing (\%), BC ',...
            'Insurance Coefficient $\phi^x$, SS',...
            'Insurance Coefficient $\phi^x$, BC',...
            'Insurance Coefficient $\phi^{\eta}$, SS',...
            'Insurance Coefficient $\phi^{\eta}$, BC',...
            'Insurance Coefficient $\phi^{\log z}$' ...
            };
        
fmtlist = cell(nstat,nchi);
for istat = 1:nstat
    for ichi = 1:nchi
        fmtlist{istat,ichi} = '%6.2f'; % default format
    end
end
% fmtlist{1} = '%6.2f';
% fmtlist{2} = '%6.2f';
% fmtlist{3} = '%6.2f';
% fmtlist{4} = '%6.2f';
% fmtlist{9} = '%6.0e';
% fmtlist{10} = '%6.0e';

for ichi = 1:nchi
    fmtlist{5,ichi} = '%6.1f';
    fmtlist{6,ichi} = '%6.1f';
    fmtlist{7,ichi} = '%6.1f';
    fmtlist{8,ichi} = '%6.1f';
end
fmtlist{9,nchi} = '%6.3f';
fmtlist{10,nchi} = '%6.3f';

fprintf(1,'\n');
for istat = 1:nstat-5
    fprintf(1,'%-50s',rownames{istat});
    for ichi = 1:nchi
        fprintf(1,[' &',fmtlist{istat,ichi}],data(istat,ichi));
    end
    fprintf(1,' \\\\ \n');
end

fprintf(1,'\n');

rmpath('./matlib')


end