function [] = tableA1()

addpath('../data/');
addpath('./matlib/');

dates = [
    1960 2004
    1960 1984
    1997 2004
    1985 2004];

for j = 1:size(dates,1)
    stats = cycProp2(dates(j,1),dates(j,2));
    
    table(1,j) = stats.corrDefY;
    table(2,j) = stats.stdDef;
    table(3,j) = stats.stdY;
    table(4,j) = stats.stdDef/stats.stdY;
    table(5,j) = stats.meanDef;
end

ylabels = {'Statistic','1960-2004','1960-1984','1997-2004','1985-2004'};
xlabels = {'Corr(Filing,Output)','Stdev(Filing) in \%','Stdev(Output) in \%','Stdev(Filing)/Stdev(Output)','Mean(Filing*) in \%'};
latextable(table,xlabels,ylabels,{'%8.2f'},1);

rmpath('../data/');
rmpath('./matlib/');

end