function tableA_creater(CDdirlist,NDdirlist)
    
    % I use itau here but doesn't necessarily have to do with tau
    for itau = 1:numel(CDdirlist)

        % Analyze the allocations
        [tmp1 tmp2] = bankKSbcstats([getmatdir(),CDdirlist{itau}],'networth');
        tmp1 = cell2mat(tmp1(:,2));
        tmp2 = cell2mat(tmp2(:,2));
        tSS(3:6,itau) = tmp1(1:4);
        tBC(3:6,itau) = tmp2(1:4);

        [tmp1 tmp2] = bankKSbcstats([getmatdir(),NDdirlist{itau}],'networth');
        tmp1 = cell2mat(tmp1(:,2));
        tmp2 = cell2mat(tmp2(:,2));
        tSS(7:10,itau) = tmp1(1:4);
        tBC(7:10,itau) = tmp2(1:4);

        % Analyze the welfare gains
        [tSS(1,itau),tSS(2,itau),tBC(1,itau),tBC(2,itau)] = welfareCompare(1,CDdirlist{itau},NDdirlist{itau});

    end

    % Put together the complete table
    for i = 1:10
        t(1+2*(i-1),:) = tSS(i,:);
        t(2*i,:) = tBC(i,:);
    end

    % Format and display the table
    i=0;
    i=i+1; label{i} = 'Welfare Gain SS (\%)       ';
    i=i+1; label{i} = 'Welfare Gain BC (\%)       ';
    i=i+1; label{i} = 'Population in Favor SS (\%)';
    i=i+1; label{i} = 'Population in Favor BC (\%)';
    i=i+1; label{i} = 'K/Y SS                     ';
    i=i+1; label{i} = 'K/Y BC                     ';
    i=i+1; label{i} = 'Debt/Y SS                  ';
    i=i+1; label{i} = 'Debt/Y BC                  ';
    i=i+1; label{i} = 'Population in Debt SS      ';
    i=i+1; label{i} = 'Population in Debt BC      ';
    i=i+1; label{i} = 'Population Filing SS       ';
    i=i+1; label{i} = 'Population Filing BC       ';
    i=i+1; label{i} = 'K/Y SS                     ';
    i=i+1; label{i} = 'K/Y BC                     ';
    i=i+1; label{i} = 'Debt/Y SS                  ';
    i=i+1; label{i} = 'Debt/Y BC                  ';
    i=i+1; label{i} = 'Population in Debt SS      ';
    i=i+1; label{i} = 'Population in Debt BC      ';
    i=i+1; label{i} = 'Population Filing SS       ';
    i=i+1; label{i} = 'Population Filing BC       ';
    n = i;

    fprintf(1,'\n\nTable:\n');
    fprintf(1,'%s\n','\textbf{FS} $\rightarrow$ \textbf{NFS}\\');
    for i = 1:n
        if (i==3 || i==4) 
            continue
        end
        if (i==5)
            fprintf(1,'%s\n','\textbf{FS}\\');
        elseif (i==13)
            fprintf(1,'%s\n','\textbf{NFS}\\');
        end
        
        fprintf(1,'%s',label{i});
        if (i>=3 && i<=4) 
            fprintf(1,'& %6.1f ',t(i,:));
        else
            fprintf(1,'& %6.2f ',t(i,:));
        end 
        fprintf(1,'\\\\\n');
    end
    
%     % I use itau here but doesn't necessarily have to do with tau
%     for itau = 1:numel(CDdirlist)
% 
%         % Load the two files, CD_ and ND_
%         s = import_from_fortran(CDdirlist{itau});
%         save('tmpD.mat','-struct','s');
%         s = import_from_fortran(NDdirlist{itau});
%         save('tmpND.mat','-struct','s');
% 
%         % Analyze the allocations
%         [tmp1 tmp2] = bankKSbcstats('tmpD.mat');
%         tmp1 = cell2mat(tmp1(:,2));
%         tmp2 = cell2mat(tmp2(:,2));
%         tSS(3:6,itau) = tmp1(1:4);
%         tBC(3:6,itau) = tmp2(1:4);
% 
%         [tmp1 tmp2] = bankKSbcstats('tmpND.mat');
%         tmp1 = cell2mat(tmp1(:,2));
%         tmp2 = cell2mat(tmp2(:,2));
%         tSS(7:10,itau) = tmp1(1:4);
%         tBC(7:10,itau) = tmp2(1:4);
% 
%         % Analyze the welfare gains
%         [tSS(1,itau),tSS(2,itau),tBC(1,itau),tBC(2,itau)] = welfareCompare(1,'tmpD.mat','tmpND.mat');
% 
%         % Clean up
%         delete('tmpD.mat');
%         delete('tmpND.mat');
% 
%     end
% 
%     % Put together the complete table
%     for i = 1:10
%         t(1+2*(i-1),:) = tSS(i,:);
%         t(2*i,:) = tBC(i,:);
%     end
% 
%     % Format and display the table
%     i=0;
%     i=i+1; label{i} = 'Welfare Gain SS (\%)       ';
%     i=i+1; label{i} = 'Welfare Gain BC (\%)       ';
%     i=i+1; label{i} = 'Population in Favor SS (\%)';
%     i=i+1; label{i} = 'Population in Favor BC (\%)';
%     i=i+1; label{i} = 'K/Y SS                     ';
%     i=i+1; label{i} = 'K/Y BC                     ';
%     i=i+1; label{i} = 'Debt/Y SS                  ';
%     i=i+1; label{i} = 'Debt/Y BC                  ';
%     i=i+1; label{i} = 'Population in Debt SS      ';
%     i=i+1; label{i} = 'Population in Debt BC      ';
%     i=i+1; label{i} = 'Population Filing SS       ';
%     i=i+1; label{i} = 'Population Filing BC       ';
%     i=i+1; label{i} = 'K/Y SS                     ';
%     i=i+1; label{i} = 'K/Y BC                     ';
%     i=i+1; label{i} = 'Debt/Y SS                  ';
%     i=i+1; label{i} = 'Debt/Y BC                  ';
%     i=i+1; label{i} = 'Population in Debt SS      ';
%     i=i+1; label{i} = 'Population in Debt BC      ';
%     n = i;
% 
%     fprintf(1,'\n\nTable:\n');
%     for i = 1:n
%         fprintf(1,'%s',label{i});
%         if (i>=3 && i<=4) 
%             fprintf(1,'& %6.1f ',t(i,:));
%         else
%             fprintf(1,'& %6.2f ',t(i,:));
%         end 
%         fprintf(1,'\\\\\n');
%     end
end
